<?php

namespace App\Providers;

use App\View\Composers\CategoryComposer;
use App\View\Composers\CountryLocaleComposer;
use App\View\Composers\StatsComposer;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;

class ViewServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Using class based composers...
        View::composer('front.home', CategoryComposer::class);
        View::composer('front.home', StatsComposer::class);
        View::composer('front.discover', StatsComposer::class);
        View::composer('front.discover', CategoryComposer::class);

        // View::composer('front.layoutsnavigation', CountryLocaleComposer::class);

        // View::composer('front.layouts.footer', CategoryComposer::class);
        // View::composer('front.layouts.footer', CountryLocaleComposer::class);

        if (auth()->check()) {

        }

    }
}
